Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1419558 (CVE-2016-10198) - CVE-2016-10198 gstreamer-plugins-good: Invalid memory read in gst_aac_parse_sink_setcaps
Summary: CVE-2016-10198 gstreamer-plugins-good: Invalid memory read in gst_aac_parse_s...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-10198
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1415638 1419601
TreeView+ depends on / blocked
 
Reported: 2017-02-06 13:50 UTC by Adam Mariš
Modified: 2019-09-29 14:06 UTC (History)
27 users (show)

Fixed In Version: gstreamer1-plugins-good 1.10.3
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-10 10:33:15 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:2060 0 normal SHIPPED_LIVE Moderate: GStreamer security, bug fix, and enhancement update 2017-08-01 19:34:49 UTC

Description Adam Mariš 2017-02-06 13:50:43 UTC
An invalid memory read in gst_aac_parse_sink_setcaps was found that can be triggered by specially crafted file.

Upstream bug:

https://bugzilla.gnome.org/show_bug.cgi?id=775450

Upstream patch:

https://github.com/GStreamer/gst-plugins-good/commit/87a2c140ca54c5128093377e9b25a5c24b346727

CVE assignment:

http://seclists.org/oss-sec/2017/q1/284

Comment 2 errata-xmlrpc 2017-08-01 22:28:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2017:2060 https://access.redhat.com/errata/RHSA-2017:2060


Note You need to log in before you can comment on or make changes to this bug.